# -*- coding: utf-8 -*-
"""
/*=========================================================================

Copyright (c) Centre National d'Etudes Spatiales
All rights reserved.

The "ClassificationSupervisee" Quantum GIS plugin is distributed 
under the CeCILL licence version 2.
See Copyright/Licence_CeCILL_V2-en.txt or
http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt for more details.


THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS ``AS IS''
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

=========================================================================*/
"""

from PyQt4 import QtCore, QtGui
import os

class ConfusionMatrixViewer(QtGui.QDialog):
    def __init__(self, matrixstring, layernames, parent = None):
        QtGui.QDialog.__init__(self)
        
        self.setWindowTitle(u"Matrice de confusion")
        
        matrix = []
        for line in iter(matrixstring.splitlines()):
            if not line or line[0] == 'M':
                continue
            matrix.append(line.split())
        n = len(matrix)
        
        self.label = QtGui.QLabel()
        self.label.setText( (u'La classification a été réalisée avec succès.%s'
                              '<a href="http://fr.wikipedia.org/wiki/Matrice_de_confusion">Matrice de confusion</a> :%s') % (2*os.linesep, os.linesep) )
        self.label.setTextFormat(QtCore.Qt.RichText)

        self.table = QtGui.QTableWidget()
        self.table.setColumnCount(n)
        self.table.setRowCount(n)
        for row in range(n):
            for col in range(n):
                self.table.setCellWidget(row, col, QtGui.QLabel(matrix[row][col]))

        self.table.setHorizontalHeaderLabels(layernames)
        self.table.setVerticalHeaderLabels(layernames)
        
#        self.table.setColumnWidth(0,270)
#        self.table.verticalHeader().setVisible(False)
#        self.table.horizontalHeader().setVisible(False)
#        self.table.horizontalHeader().setResizeMode(QtGui.QHeaderView.Stretch)
#        self.setTableContent()
        
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.addWidget(self.label)
        self.verticalLayout.addWidget(self.table)
        
        self.setLayout(self.verticalLayout)
